package cn.gintone.dtoPt;

import java.util.List;

public class PtData<T> {
    private Boolean ifQuery;
    private Integer time;
    private Integer total;
    private Boolean success;
    private String errorMsg;
    private List<T> rowData;

    public Boolean getIfQuery() {
        return ifQuery;
    }

    public void setIfQuery(Boolean ifQuery) {
        this.ifQuery = ifQuery;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public List<T> getRowData() {
        return rowData;
    }

    public void setRowData(List<T> rowData) {
        this.rowData = rowData;
    }
}
